xcb_render_add_traps(3)

NAME
xcb_render_add_traps -

SYNOPSIS
#include <xcb/render.h>

  Request function

xcb_void_cookie_t xcb_render_add_traps(xcb_connection_t *conn, xcb_render_picture_t picture, int16_t x_off, int16_t y_off, uint32_t traps_len, const xcb_render_trap_t *traps);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

picture
    TODO: NOT YET DOCUMENTED.

x_off
    TODO: NOT YET DOCUMENTED.

y_off
    TODO: NOT YET DOCUMENTED.

traps_len
    TODO: NOT YET DOCUMENTED.

traps
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_render_add_traps_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from render.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.